#include <iostream>
#include <algorithm>
#include <cmath>
#include <cstdio>
using namespace std;
string a[1000],b,c,d,e,f;
bool cmp(string a,string b){return a.size()<b.size();};
int main () {
for (int i=1;i<=3;i++){
    cin>>a[i];

}
sort (a+1,a+3+1);
for (int i=3;i>=1;i--){
    cout<<a[i];

}
return 0;
}